Loading...
Searching...
No Matches
fru_errno.h File Reference

Header for FRU error codes. More...

Go to the source code of this file.

## Data Structures

struct | fru_errno_t

## Macros

#define | FRU_THREAD_LOCAL

## Enumerations

enum

fru_error_code_t {
FENONE ,
FEGENERIC ,
FEINIT ,
FENONPRINT ,
FENONHEX ,
FERANGE ,
FENOTEVEN ,
FEAUTOENC ,
FEBADENC ,
FE2SMALL ,
FE2BIG ,
FESIZE ,
FEHDRVER ,
FEHDRCKSUM ,
FEHDRBADPTR ,
FEDATACKSUM ,
FEAREADUP ,
FEAREANOTSUP ,
FEAREABADTYPE ,
FENOTERM ,
FEBDATE ,
FENOFIELD ,
FENOREC ,
FEBADDATA ,
FENODATA ,
FEMRMGMTBAD ,
FEMRNOTSUP ,
FEMREND ,
FEAPOS ,
FENOTEMPTY ,
FEAENABLED ,
FEADISABLED ,
FELIB ,
FETOTALCOUNT
}

| Defines the errors specific to libfru. More...
enum | fru_error_source_t { FERR_LOC_INTERNAL , FERR_LOC_CHASSIS , FERR_LOC_BOARD , FERR_LOC_PRODUCT , FERR_LOC_MR , FERR_LOC_GENERAL , FERR_LOC_CALLER , FERR_LOC_SYSTEM , FERR_LOC_COUNT }
| Describes an offending area, see fru_errno_t. More...

## Functions

const char * | fru_strerr (fru_errno_t)
| Get a description of the given `fru_errno` value.
void | fru_clearerr (void)
| Clear the error status of the library.

## Variables

FRU_THREAD_LOCAL fru_errno_t | fru_errno
| Numeric code of an error.

## Detailed Description

Header for FRU error codes.

Copyright (C) 2016-2021 Alexander Amelkin alexa.nosp@m.nder.nosp@m.@amel.nosp@m.kin..nosp@m.msk.r.nosp@m.u SPDX-License-Identifier: LGPL-2.0-or-later OR Apache-2.0

## Macro Definition Documentation

## FRU_THREAD_LOCAL

#define FRU_THREAD_LOCAL